## com.gargoylesoftware.htmlunit
Interface PromptHandler

    public interface PromptHandler

A handler for JavaScript window.prompt(). Confirms are triggered when the JavaScript method Window.prompt() is called.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler

Method Summary
`java.lang.String` `handlePrompt(Page page, java.lang.String message)` Handle a call to Window.prompt() for the given page.

Method Detail

### handlePrompt

    java.lang.String handlePrompt(Page page,
                                  java.lang.String message)

  Handle a call to Window.prompt() for the given page.

  Parameters:
    `page` - the page on which the prompt occurred
    `message` - the message in the prompt
  Returns:
    the value typed in or null if the user pressed cancel

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.